require 'httparty'
require 'json'
require 'nasp/instruction_query'

module Nasp
  class << self
    attr_accessor :production_key, :production_token, :sandbox_key, :sandbox_token, :environment

    def key
      send(:"#{environment}_key")
    end

    def token
      send(:"#{environment}_token")
    end

    def ensure_key_and_token_set!
      if Nasp.key.blank?
        raise StandardError, "Invalid Nasp.#{environment}_key set."
      elsif Nasp.token.blank?
        raise StandardError, "Invalid Nasp.#{environment}_token set."
      end
    end
  end
end
